Get a rebranding asset binary for the system

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.my.nethesis.it/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "my.nethesis.it MCP server": {
    "url": "https://api.my.nethesis.it/mcp"
  }
}

Close
GET /systems/rebranding/{product_id}/{asset}

Serves asset binary with hierarchy resolution

Path parameters

  • product_id string Required
  • asset string Required

    Values are logo_light_rect, logo_dark_rect, logo_light_square, logo_dark_square, favicon, or background_image.

Responses

  • 200 image/*

    Asset binary

  • 404 application/json

    Resource not found

    Hide response attributes Show response attributes object
    • code integer

      HTTP error code

    • message string

      Error message

    • data object
      Hide data attributes Show data attributes object
      • type string

        Type of error

        Values are validation_error or external_api_error.

      • errors array[object]
        Hide errors attributes Show errors attributes object
        • key string

          Field name that failed validation

        • message string

          Error code or message

        • value string

          Value that failed validation

      • details

        Additional error details

GET /systems/rebranding/{product_id}/{asset}
curl \
 --request GET 'https://api.your-domain.com/api/systems/rebranding/{product_id}/{asset}' \
 --user "username:password"
Response examples (404)
{
  "code": 400,
  "message": "validation failed",
  "data": {
    "type": "validation_error",
    "errors": [
      {
        "key": "username",
        "message": "required",
        "value": "string"
      }
    ]
  }
}